# TRADEMARK POLICY

This policy of Amazon.com, Inc. or its affiliates ("Amazon") provides guidelines for use of the "Corretto" and “Amazon Corretto” trademarks (“Corretto Trademarks") to identify Amazon's Corretto software. Use of the Corretto Trademarks must be in accordance with this policy. Our goal is to ensure that Amazon’s trademarks remain reliable indicators of quality and security while also permitting community members, software distributors and others we work with to discuss Amazon's products and to accurately describe such products’ affiliation with Amazon. Note that this policy only applies to use of the Corretto Trademarks. Use of any other Amazon trademarks is not included or covered by this policy.

## OVERALL GUIDELINES

You may use the Corretto and Amazon Corretto word marks in plain text to refer to Amazon’s Corretto software in compliance with this policy. Any other use of our trademarks, including any logos, requires prior written permission.

Overall, your use of the Corretto Trademarks must not be confusing or damaging to Amazon or to the Corretto Trademarks themselves. 

People should always know who they are dealing with, and where the software they are downloading came from. You may not use the Corretto Trademarks in any manner that implies approval or endorsement by or association with Amazon. You may not use the Corretto Trademarks to refer to a product other than Amazon’s Corretto software. Following the guidelines below for modifications will help avoid confusion.

You may not use the Corretto Trademarks as a vehicle to damage the reputation of Amazon or our Corretto software or to make any false or misleading statements. You may not use the Corretto Trademarks in a manner that may diminish or otherwise damage Amazon's goodwill in the trademarks. The Corretto Trademarks should be used in their exact form and not abbreviated or combined with any other word or words (e.g., "Corretto" software rather than "CRTO" or "Correttofied"). 

Amazon owns all rights in the Corretto Trademarks, and your use of them does not transfer rights to you. Any goodwill generated by your use of our Corretto Trademarks will belong to Amazon.

## MODIFICATIONS

Those taking full advantage of the open source nature of the Amazon Corretto code and making modifications may not redistribute the modified software under the Corretto Trademarks. Additionally, to avoid misleading a user into believing the modified software is a native Amazon product, if you modify any file where the file name contains a Corretto Trademark or the Amazon name, you must rename that file (except files that contain only an Amazon copyright that is part of an open source license header).

## RELATED SOFTWARE

Amazon recognizes that community members writing related software need some way to identify the Amazon product to which that software pertains. Users should not be confused as to whether the related software is an official Amazon product or otherwise approved by Amazon. The name of such software may not include, in whole or in part, the Corretto Trademarks in a way that suggests a connection between Amazon and the extension.

## QUESTIONS

If you are unsure whether your use of the Corretto Trademarks would run afoul of this policy, feel free to contact us and ask. If you have questions about these guidelines or use of any other Amazon trademark, please contact trademarks@amazon.com for assistance, or write to us at:

**Amazon.com, Inc., Attention: Trademarks,
PO Box 81226 Seattle, WA 98108-1226**

This policy is based in part on the open source trademark policy defined by the Mozilla organization, available [here](https://www.mozilla.org/en-US/foundation/trademarks/policy/), as adapted to Amazon’s Carbonado policy, available [here](http://carbonado.sourceforge.net/trademark.html). Thus, the text of this policy (and not the Corretto Trademarks themselves) is licensed under the Creative Commons "Attribution-ShareAlike 2.0" license.

### FAQ:

**1. Can I create and redistribute my own builds of Amazon Corretto?**
: If you build Amazon Corretto from source and redistribute the results, you may use the Corretto Trademarks only if it is clear in both the name of your distribution and the content associated with it that your distribution is your build of Amazon Corretto and not the official build, and you must identify the commit from which it is built, including the commit date.

